procedure minv(infile,outfile)

# Routine to invert masks so that <=0 --> 1 and >0 --> 0
#
# 960416: added check for 0-1 range, and more careful with image extension
# 970430: changed so that all values >=1 now set to 0, with warning
# 970730: changed so that values <=0 --> 1 and values >0 --> 0
# 970930: intermediate step: copy to .fits format & real pixtype
#		to avoid .pl limitations
# 971101: modified so a fixed temporary image name is not created
# 980709: does chpixtype instead of imarith to generate pixtype=real tmp image
# 990218: changed default working image type from ".imh" to ".fits"
# 990513: vastly simplified through logical use of imcalc
# 000521: now tells you it's abandoning the task if imcalc isn't loaded

string 	infile		{prompt = "Input mask image (best include extension)"}
string 	outfile		{prompt = "Output (inverted) mask image (ditto)"}

begin

	string inf,outf,inex,outex,biteme

# Get query parameters:

	fileroot(infile)
		inf = fileroot.root
		inex = "."//fileroot.extension
		if(inex==".")inex=""
	fileroot(outfile,validim+)
		outf = fileroot.root
		outex = "."//fileroot.extension
		if(outex==".")outex=""

	if (!defpac("imgtools")) {
		beep
print("WARNING! stsdas.imgtools package not loaded! Bailing out of minv...")
		return
	}

	minmax (inf, force+, ver-)
	if ((minmax.minval < 0.) || (minmax.maxval > 1.)) {
		beep
       		print("WARNING! Pixels in image range beyond 0-1.")
	}

	imcalc(inf//inex,outf//outex, "if im1 .le. 0 then 1 else 0", ver-)

#	biteme = mktemp("_biteme")
#	imcopy(inf//inex,biteme//".fits",ver-)
##	imar(biteme//".fits","+",0.,biteme//".fits",ver-,noact-,pixt="real")
#	chpixtype(biteme//".fits",biteme//".fits",newpi="real",oldpi="all",ver-)
#	imreplace (biteme//".fits",1.,lower=0.01,upper=INDEF)
#	imreplace (biteme//".fits",2.,lower=INDEF,upper=0.02)
#	imarith (biteme//".fits","-",1.,biteme//".fits")
#	if(inf//inex==outf//outex)imdel(inf//inex, ver-)
#	imcopy(biteme//".fits",outf//outex,ver-)
#	imdel(biteme//".fits",ver-)

end

