# myget--script to "get_ir2" lots of files at once using wildcard specifications

procedure myget(filename)
string filename 	{prompt = "Files to process"}
bool stats=yes		{prompt = "Display image statistics?"}
string logfile="STDOUT" {prompt = "Name of logfile for imstat output"}
bool display=no    	{prompt = "Display image?"}
int frame="1"		{prompt = "Frame in which to display image"}
struct *namelist

begin

string ffilename,namefile,f,llogfile

ffilename = filename
llogfile = logfile

namefile = mktemp("tmp$name")
namelist = namefile

files(ffilename,sort+,>namefile)

while (fscan(namelist,f) != EOF) {
   print(f)
   get_ir2(osfn(f))
   imrename(f,f//".tmp",ver-)
   imcopy(f//".tmp",f,ver-)
   imdel(f//".tmp",ver-)
   if (display) {
	display(f, frame)
	}
#   imstat(f, >> llogfile)
   }

if (stats) {
	imstat("@"//namefile, >> llogfile)
	}

namelist = ""

delete(namefile,ver-)

end


